## WSDL2Java Preferences

The WSDL2Java tab provides settings that can be used to customize the code generated by the CXF wsdl2java tool.

Option | Description | Default
Generate Server | Select to generate starting point code for a server mainline | false
Generate Implementation | Select to generate starting point code for an implementation bean | true
Generate default values for the generated artifacts | Select to generate default values for a generated client and implementation | true
Enable processing of implicit SOAP headers | Select to enable the processing of of SOAP headers defined in the wsdl:binding | false
Enable loading of the default namespace package name mapping | Select to enable the loading of the default namepsace package name mapping | true
Enable the use of the default excludes namespace mapping | Select to enable the loading of the default excludes namespace mapping | true
Enable Auto Name Resolution | Select to automatically resolve naming conflicts without requiring the use of binding customizations | false
Use the Apache CXF proprietary WS-Addressing type | Select to generate the older CXF proprietary WS-Addressing types instead of the JAX-WS 2.1 compliant WS-Addressing types. Used for compatibility with CXF 2.0 | false

The following options are passed to the XJC processor.

Option | Description | Default
-Xdv | Select to initialize fields mapped from elements with their default values | false
-Xts | Select to activate plugin to add a toString() method to generated classes | false
-Xts:style:multiline | Select to have toString produce multi line output | false
-Xts:style:simple | Select to have toString produce single line terse output | false
-Xlocator | Select to enable source location support for generated code | false
-Xsync-methods | Select to generate accessor methods with the 'synchronized' keyword | false
-mark-generated | Select to add @Generated annotations to the generated code | false

The options on this tab are presented in the web services wizard when creating a top-down web service with the Apache CXF runtime.

The options there can be changed from their default values for the web service being created.

Generate an SEI and a skeleton implementation bean from a WSDL document using Apache CXF